package cn.com.qmth.stmms.common.enums;

public enum SystemAuthType {
    ONLINE("在线激活", 1), OFFLINE("离线激活", 2);

    private String name;

    private int value;

    private SystemAuthType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static SystemAuthType findByValue(int value) {
        for (SystemAuthType c : SystemAuthType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
